RichAnnotatable (BioJava-1.5-beta API)
Keywords: org.biojavax.RichAnnotatable interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax
Interface RichAnnotatable

All Superinterfaces:
  Annotatable, Changeable

All Known Subinterfaces:
  BioEntry, CrossRef, RichFeature, RichLocation, RichSequence

All Known Implementing Classes:
  CompoundRichLocation, EmptyRichLocation, MultiSourceCompoundRichLocation, SimpleBioEntry, SimpleCrossRef, SimpleRichFeature, SimpleRichLocation, SimpleRichSequence, ThinRichSequence

    public interface RichAnnotatable

extends Annotatable

Annotatable objects that can have rich annotations.

Since:
  1.5
Author:
  Richard Holland
See Also:
  `RichAnnotation`

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`Set` | `getNoteSet()` Returns the set of notes associated with this object.
`void` | `setNoteSet(Set notes)` Clears the notes associated with this object and replaces them with the contents of this set.

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getNoteSet

    Set getNoteSet()

  Returns the set of notes associated with this object. Would normally delegate call to internal RichAnnotation instance.

  Returns:
    set a set of Note objects.
  See Also:
    `Note`

### setNoteSet

    void setNoteSet(Set notes)
                    throws ChangeVetoException

  Clears the notes associated with this object and replaces them with the contents of this set. Would normally delegate call to internal RichAnnotation instance.

  Parameters:
    `notes` - the set of Note objects to replace the existing ones with.
  Throws:
    `ChangeVetoException` - if the set is null or contains any objects that are not Note objects.
  See Also:
    `Note`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD